%define _class          Image
%define _subclass       Canvas
%define upstream_name       %{_class}_%{_subclass}
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.5
Release:     	%mkrel 7
Summary:    	A package providing a common interface to image drawing, making image source code independent on the library used
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
URL: 		http://pear.php.net/package/Image_Canvas
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-Image_Color >= 1.0.0
Requires:	php-pear >= 1.8.1
BuildArch: noarch


%description
A package providing a common interface to image drawing, making image
source code independent on the library used.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Canvas.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Canvas.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Canvas
fi

%files
%doc docs/Image_Canvas/*
%{peardir}/*
%{xmldir}/Image_Canvas.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.5-7.mga8
+ Revision: 1499058
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.5-6.mga7
+ Revision: 1273257
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.3.5-5.mga6
+ Revision: 940719
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-4.mga5
+ Revision: 741879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-3.mga5
+ Revision: 687311
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.5-2.mga4
+ Revision: 528041
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.3.5-1.mga4
+ Revision: 443257
- upgrade to version 0.3.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-7.mga3
+ Revision: 376741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 0.3.1-6.mga1
+ Revision: 42715
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Canvas


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-6mdv2011.0
+ Revision: 613690
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-5mdv2010.1
+ Revision: 473541
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-4mdv2010.0
+ Revision: 441195
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-3mdv2009.1
+ Revision: 322136
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2009.0
+ Revision: 236895
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 54563
- 0.3.1


* Mon Oct 16 2006 David Walluck <walluck@mandriva.org> 0.3.0-2mdv2006.0
+ Revision: 65352
+ Status: not released
- $2

* Sun Oct 15 2006 David Walluck <walluck@mandriva.org> 0.3.0-1mdv2007.1
+ Revision: 64942
- Import php-pear-Image_Canvas

* Sat Sep 23 2006 David Walluck <walluck@mandriva.org> 0.3.0-1mdv2007.1
- release

